Package ru.bitel.bgbilling.modules.gorod.server.bean

# Class RegisterManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.gorod.server.bean.RegisterManager

public class RegisterManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRegister(Register register)`
  `void`
  `deleteRegister(int id)`
  `Register`
  `getRegister(int type, Calendar date, int tagID)`
  `Register`
  `getRegisterById(int id)`
  `List<Register>`
  `getRegisterList(Calendar date1, Calendar date2)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterManager

    public RegisterManager(Connection con, int moduleId)

- ## Method Details

  - ### getRegisterById

    public Register getRegisterById(int id) throws SQLException
    Throws:
      `SQLException`

  - ### addRegister

    public void addRegister(Register register) throws SQLException
    Throws:
      `SQLException`

  - ### getRegisterList

    public List<Register> getRegisterList(Calendar date1, Calendar date2) throws SQLException
    Throws:
      `SQLException`

  - ### getRegister

    public Register getRegister(int type, Calendar date, int tagID) throws SQLException
    Throws:
      `SQLException`

  - ### deleteRegister

    public void deleteRegister(int id) throws SQLException
    Throws:
      `SQLException`